//******************************************************************
// DUAL MOTOR DRIVER DEFINITIONS
//******************************************************************
//brake1	 	LATD5 
//phase1		LATD6 
//enable1		LATD7
//brake2		LATC3
//phase2		LATC4
//enable2		LATC5
#define	fwd_1			0b01100000
#define rev_1			0b00100000
#define	fwd_2			0b00011000
#define rev_2			0b00001000 
#define mtr_1  			LATD
#define	mtr_2			LATC
#define	cntl_mask_mtr1	0b00011111
#define	cntl_mask_mtr2	0b11000111

#define	brk_mtr1		mtr_1 &= cntl_mask_mtr1;

#define	fwd_mtr1		mtr_1 &= cntl_mask_mtr1;	\
						mtr_1 |= fwd_1;				
			
#define	rev_mtr1		mtr_1 &= cntl_mask_mtr1;	\
						mtr_1 |= rev_1;				

#define	brk_mtr2		mtr_2 &= cntl_mask_mtr2;
	
#define	fwd_mtr2		mtr_2 &= cntl_mask_mtr2;	\
						mtr_2 |= fwd_2;				

#define	rev_mtr2		mtr_2 &= cntl_mask_mtr2;	\
						mtr_2 |= rev_2;				
